Subject: Ticket Assigned - Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 23 Jun 2022 04:08:08 +0000

Hi Hilah Alolayan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? Feedback for:  If I pay for my order with a Credit or Debit Card, how long will it take to process my refund? I have returned SR 75 worth dress but until now it has not been credited to my account,  can you help me to get the same https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4532461